Brak możliwości ustawienia rozdzielczości 1280x1024


(Martin8731) #1

Od wczoraj mam problem w swoim Mincie z ustawieniami wyższych rozdziałek.

Na co dzień pracowałem na 1280x1024, obecnie 1024x768 to jest maksymalna jaką można ustawić (są jeszcze 640x480, 800x600 oraz 848x480) przy 60Hz max. Pozostałe nie są widoczne. System identyfikuje monitor jako unknown. Jednak renderowanie działa nadal. Glxgears nie pluje błędów, XBMC normalnie się uruchamia. W systemie nie ma pliku /etc/X11/xorg.conf.

Karta graficzna to wbudowana w płytę Intel X4500, system to 64 bitowy Linux Mint 13 Mate.

00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)

glxgears

Running synchronized to the vertical refresh. The framerate should be

approximately the same as the monitor refresh rate.

300 frames in 5.0 seconds = 59.989 FPS

300 frames in 5.0 seconds = 59.848 FPS

XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":0"

      after 1376 requests (1376 known processed) with 0 events remaining.

3.2.0-39-generic #62-Ubuntu SMP Thu Feb 28 00:28:53 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Wszystko się zepsuło po wczorajszej aktualizacji systemu, poniżej log z apta:

Start-Date: 2013-03-29 11:01:46

Commandline: apt-get upgrade

Upgrade: dmsetup:amd64 (1.02.48-4ubuntu7.2, 1.02.48-4ubuntu7.3), libxrandr-dev:amd64 (1.3.2-2, 1.3.2-2ubuntu0.1), libxml2-utils:amd64 (2.7.8.dfsg-5.1ubuntu4.3, 2.7.8.dfsg-5.1ubuntu4.4), libdevmapper1.02.1:amd64 (1.02.48-4ubuntu7.2, 1.02.48-4ubuntu7.3), libxml2:amd64 (2.7.8.dfsg-5.1ubuntu4.3, 2.7.8.dfsg-5.1ubuntu4.4), libxml2:i386 (2.7.8.dfsg-5.1ubuntu4.3, 2.7.8.dfsg-5.1ubuntu4.4), libdevmapper-event1.02.1:amd64 (1.02.48-4ubuntu7.2, 1.02.48-4ubuntu7.3), liblvm2app2.2:amd64 (2.02.66-4ubuntu7.2, 2.02.66-4ubuntu7.3), libxrandr2:amd64 (1.3.2-2, 1.3.2-2ubuntu0.1), libxrandr2:i386 (1.3.2-2, 1.3.2-2ubuntu0.1), python-libxml2:amd64 (2.7.8.dfsg-5.1ubuntu4.3, 2.7.8.dfsg-5.1ubuntu4.4)

End-Date: 2013-03-29 11:02:35


Start-Date: 2013-03-29 20:14:22

Commandline: apt-get upgrade

Upgrade: bind9-host:amd64 (9.8.1.dfsg.P1-4ubuntu0.5, 9.8.1.dfsg.P1-4ubuntu0.6), dnsutils:amd64 (9.8.1.dfsg.P1-4ubuntu0.5, 9.8.1.dfsg.P1-4ubuntu0.6), gimp-gmic:amd64 (1.5.5.0-0precise1~ppa, 1.5.5.1-0precise2~ppa), libdns81:amd64 (9.8.1.dfsg.P1-4ubuntu0.5, 9.8.1.dfsg.P1-4ubuntu0.6), libisccc80:amd64 (9.8.1.dfsg.P1-4ubuntu0.5, 9.8.1.dfsg.P1-4ubuntu0.6), libgimp2.0-dev:amd64 (2.8.4-2precise0~ppa, 2.8.4-2precise1~ppa), liblwres80:amd64 (9.8.1.dfsg.P1-4ubuntu0.5, 9.8.1.dfsg.P1-4ubuntu0.6), libbind9-80:amd64 (9.8.1.dfsg.P1-4ubuntu0.5, 9.8.1.dfsg.P1-4ubuntu0.6), gimp:amd64 (2.8.4-2precise0~ppa, 2.8.4-2precise1~ppa), libgimp2.0:amd64 (2.8.4-2precise0~ppa, 2.8.4-2precise1~ppa), gmic:amd64 (1.5.5.0-0precise1~ppa, 1.5.5.1-0precise2~ppa), libisccfg82:amd64 (9.8.1.dfsg.P1-4ubuntu0.5, 9.8.1.dfsg.P1-4ubuntu0.6), libisc83:amd64 (9.8.1.dfsg.P1-4ubuntu0.5, 9.8.1.dfsg.P1-4ubuntu0.6), gimp-data:amd64 (2.8.4-2precise0~ppa, 2.8.4-2precise1~ppa)

End-Date: 2013-03-29 20:15:01

Jak to naprawić teraz?


(marcin82) #2

Podaj wynik takich poleceń:

sudo apt-get update && sudo apt-get dist-upgrade

sudo hwinfo --monitor

xrandr -q

Podaj dokładny model monitora.


(Martin8731) #3

Samsung SyncMaster 710v (obsługuje maksymalnie 1280x1024)

xrandr -q                         

Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192

VGA1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm

   1024x768 60.0* 

   800x600 60.3 56.2  

   848x480 60.0  

   640x480 59.9

Komenda sudo hwinfo --monitor nie zwraca jakiegokolwiek wyniku.

sudo apt-get update && sudo apt-get dist-upgrade

Get:1 http://ftp.icm.edu.pl maya Release.gpg [197 B]

Get:2 http://packages.medibuntu.org precise Release.gpg [198 B]             

Hit http://ftp.icm.edu.pl maya Release                                      

Get:3 http://security.ubuntu.com precise-security Release.gpg [198 B]       

Hit http://archive.ubuntu.com precise Release.gpg                           

Get:4 http://archive.ubuntu.com precise-updates Release.gpg [198 B]         

Hit http://archive.canonical.com precise Release.gpg                        

Hit http://ppa.launchpad.net precise Release.gpg                            

Hit http://ppa.launchpad.net precise Release.gpg                            

Ign http://ftp.icm.edu.pl maya Release                                      

Get:5 http://security.ubuntu.com precise-security Release [49.6 kB]         

Hit http://archive.ubuntu.com precise Release                               

Hit http://archive.canonical.com precise Release                            

Hit http://ppa.launchpad.net precise Release                                

Hit http://packages.medibuntu.org precise Release                           

Ign http://packages.medibuntu.org precise Release                           

Ign http://ftp.icm.edu.pl maya/main amd64 Packages/DiffIndex                

Get:6 http://archive.ubuntu.com precise-updates Release [49.6 kB]           

Hit http://ppa.launchpad.net precise Release                                

Hit http://archive.canonical.com precise/partner amd64 Packages             

Ign http://ftp.icm.edu.pl maya/upstream amd64 Packages/DiffIndex            

Hit http://ppa.launchpad.net precise/main Sources                           

Hit http://ppa.launchpad.net precise/main amd64 Packages                    

Hit http://ppa.launchpad.net precise/main i386 Packages                     

Ign http://ppa.launchpad.net precise/main TranslationIndex                  

Hit http://repo.steampowered.com precise Release.gpg                        

Hit http://archive.canonical.com precise/partner i386 Packages              

Ign http://archive.canonical.com precise/partner TranslationIndex           

Ign http://packages.medibuntu.org precise/free amd64 Packages/DiffIndex     

Get:7 http://security.ubuntu.com precise-security/main amd64 Packages [233 kB]

Ign http://ftp.icm.edu.pl maya/import amd64 Packages/DiffIndex              

Hit http://ppa.launchpad.net precise/main Sources                           

Hit http://ppa.launchpad.net precise/main amd64 Packages                    

Hit http://ppa.launchpad.net precise/main i386 Packages                     

Ign http://ppa.launchpad.net precise/main TranslationIndex                  

Hit http://archive.ubuntu.com precise/main amd64 Packages                   

Hit http://archive.ubuntu.com precise/restricted amd64 Packages             

Hit http://archive.ubuntu.com precise/universe amd64 Packages               

Hit http://archive.ubuntu.com precise/multiverse amd64 Packages             

Hit http://archive.ubuntu.com precise/main i386 Packages                    

Hit http://archive.ubuntu.com precise/restricted i386 Packages              

Hit http://archive.ubuntu.com precise/universe i386 Packages                

Hit http://archive.ubuntu.com precise/multiverse i386 Packages              

Hit http://archive.ubuntu.com precise/main TranslationIndex                 

Hit http://archive.ubuntu.com precise/multiverse TranslationIndex           

Ign http://packages.medibuntu.org precise/non-free amd64 Packages/DiffIndex 

Ign http://ftp.icm.edu.pl maya/main i386 Packages/DiffIndex                 

Hit http://repo.steampowered.com precise Release                            

Hit http://archive.ubuntu.com precise/restricted TranslationIndex           

Hit http://archive.ubuntu.com precise/universe TranslationIndex             

Get:8 http://archive.ubuntu.com precise-updates/main amd64 Packages [592 kB]

Ign http://ftp.icm.edu.pl maya/upstream i386 Packages/DiffIndex             

Ign http://ftp.icm.edu.pl maya/import i386 Packages/DiffIndex               

Hit http://repo.steampowered.com precise/steam Sources                      

Get:9 http://security.ubuntu.com precise-security/restricted amd64 Packages [3,969 B]

Get:10 http://security.ubuntu.com precise-security/universe amd64 Packages [68.6 kB]

Get:11 http://security.ubuntu.com precise-security/multiverse amd64 Packages [2,186 B]

Get:12 http://security.ubuntu.com precise-security/main i386 Packages [243 kB]

Ign http://ftp.icm.edu.pl maya/import TranslationIndex                      

Get:13 http://security.ubuntu.com precise-security/restricted i386 Packages [3,968 B]

Get:14 http://security.ubuntu.com precise-security/universe i386 Packages [70.5 kB]

Ign http://ftp.icm.edu.pl maya/main TranslationIndex                        

Get:15 http://security.ubuntu.com precise-security/multiverse i386 Packages [2,369 B]

Hit http://security.ubuntu.com precise-security/main TranslationIndex       

Hit http://security.ubuntu.com precise-security/multiverse TranslationIndex 

Hit http://security.ubuntu.com precise-security/restricted TranslationIndex 

Hit http://security.ubuntu.com precise-security/universe TranslationIndex   

Hit http://repo.steampowered.com precise/steam amd64 Packages               

Get:16 http://archive.ubuntu.com precise-updates/restricted amd64 Packages [10.1 kB]

Ign http://ftp.icm.edu.pl maya/upstream TranslationIndex                    

Hit http://security.ubuntu.com precise-security/main Translation-en         

Get:17 http://archive.ubuntu.com precise-updates/universe amd64 Packages [190 kB]

Get:18 http://archive.ubuntu.com precise-updates/multiverse amd64 Packages [9,418 B]

Get:19 http://archive.ubuntu.com precise-updates/main i386 Packages [603 kB]

Hit http://security.ubuntu.com precise-security/multiverse Translation-en   

Hit http://security.ubuntu.com precise-security/restricted Translation-en   

Ign http://archive.canonical.com precise/partner Translation-en_GB          

Hit http://security.ubuntu.com precise-security/universe Translation-en     

Ign http://packages.medibuntu.org precise/free i386 Packages/DiffIndex      

Ign http://archive.canonical.com precise/partner Translation-en             

Get:20 http://archive.ubuntu.com precise-updates/restricted i386 Packages [10.1 kB]

Get:21 http://archive.ubuntu.com precise-updates/universe i386 Packages [192 kB]

Get:22 http://archive.ubuntu.com precise-updates/multiverse i386 Packages [10.4 kB]

Hit http://archive.ubuntu.com precise-updates/main TranslationIndex         

Hit http://archive.ubuntu.com precise-updates/multiverse TranslationIndex   

Hit http://archive.ubuntu.com precise-updates/restricted TranslationIndex   

Hit http://archive.ubuntu.com precise-updates/universe TranslationIndex     

Hit http://archive.ubuntu.com precise/main Translation-en_GB                

Hit http://archive.ubuntu.com precise/main Translation-en                   

Hit http://archive.ubuntu.com precise/multiverse Translation-en_GB          

Ign http://ppa.launchpad.net precise/main Translation-en_GB                 

Hit http://repo.steampowered.com precise/steam i386 Packages                

Ign http://ppa.launchpad.net precise/main Translation-en                    

Ign http://ppa.launchpad.net precise/main Translation-en_GB                 

Hit http://archive.ubuntu.com precise/multiverse Translation-en             

Hit http://archive.ubuntu.com precise/restricted Translation-en_GB          

Ign http://packages.medibuntu.org precise/non-free i386 Packages/DiffIndex  

Hit http://archive.ubuntu.com precise/restricted Translation-en             

Hit http://archive.ubuntu.com precise/universe Translation-en_GB            

Hit http://archive.ubuntu.com precise/universe Translation-en               

Hit http://archive.ubuntu.com precise-updates/main Translation-en_GB        

Hit http://archive.ubuntu.com precise-updates/main Translation-en           

Ign http://ppa.launchpad.net precise/main Translation-en                    

Hit http://archive.ubuntu.com precise-updates/multiverse Translation-en_GB  

Hit http://archive.ubuntu.com precise-updates/multiverse Translation-en     

Hit http://archive.ubuntu.com precise-updates/restricted Translation-en_GB  

Hit http://archive.ubuntu.com precise-updates/restricted Translation-en     

Hit http://archive.ubuntu.com precise-updates/universe Translation-en_GB    

Hit http://archive.ubuntu.com precise-updates/universe Translation-en       

Ign http://packages.medibuntu.org precise/free TranslationIndex             

Ign http://packages.medibuntu.org precise/non-free TranslationIndex         

Ign http://repo.steampowered.com precise/steam TranslationIndex             

Hit http://packages.medibuntu.org precise/free amd64 Packages               

Hit http://packages.medibuntu.org precise/non-free amd64 Packages           

Hit http://packages.medibuntu.org precise/free i386 Packages

Hit http://packages.medibuntu.org precise/non-free i386 Packages

Hit http://ftp.icm.edu.pl maya/main amd64 Packages                          

Hit http://ftp.icm.edu.pl maya/upstream amd64 Packages                

Hit http://ftp.icm.edu.pl maya/import amd64 Packages                        

Hit http://ftp.icm.edu.pl maya/main i386 Packages                           

Hit http://ftp.icm.edu.pl maya/upstream i386 Packages      

Ign http://packages.medibuntu.org precise/free Translation-en_GB            

Hit http://ftp.icm.edu.pl maya/import i386 Packages                         

Ign http://packages.medibuntu.org precise/free Translation-en               

Ign http://repo.steampowered.com precise/steam Translation-en_GB            

Ign http://packages.medibuntu.org precise/non-free Translation-en_GB        

Ign http://packages.medibuntu.org precise/non-free Translation-en           

Ign http://repo.steampowered.com precise/steam Translation-en               

Ign http://ftp.icm.edu.pl maya/import Translation-en_GB                     

Ign http://ftp.icm.edu.pl maya/import Translation-en                        

Ign http://ftp.icm.edu.pl maya/main Translation-en_GB                       

Ign http://ftp.icm.edu.pl maya/main Translation-en                          

Ign http://ftp.icm.edu.pl maya/upstream Translation-en_GB                   

Ign http://ftp.icm.edu.pl maya/upstream Translation-en                      

Fetched 2,345 kB in 7s (332 kB/s)                                           

Reading package lists... Done

W: GPG error: http://ftp.icm.edu.pl maya Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 3EE67F3D0FF405B2

W: GPG error: http://packages.medibuntu.org precise Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 2EBC26B60C5A2783

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Calculating upgrade... Done

0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

(marcin82) #4

Zaloguj się na konto roota:

sudo su

A dopiero potem wykonaj polecenie:

hwinfo --monitor

Program sudo może po prostu nie mieć dostępu do wszystkich plików / katalogów i ma problem z odczytaniem danych o sprzęcie.

Jeśli nadal nie wykryje monitora - Wiedz, że coś się dzieje … :smiley:


(Martin8731) #5

Również nic nie ma.

Skynet apt # hwinfo --monitor

Skynet apt #

(marcin82) #6

Podaj jeszcze taki wynik:

lspci -k | grep -A2 VGA

(Martin8731) #7
lspci -k | grep -A2 VGA

00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)

Subsystem: Micro-Star International Co., Ltd. Device 7592

Kernel driver in use: i915

(marcin82) #8

Aktualizacja tych pakietów być może natrzodziła:


(Martin8731) #9

Zrobiłem downgrade, pomogło i już działa, dzięki;)

Start-Date: 2013-03-30 12:37:42

Commandline: /usr/sbin/synaptic

Downgrade: libxrandr2:amd64 (1.3.2-2ubuntu0.1, 1.3.2-2)

Remove: libxrandr-dev:amd64 (1.3.2-2ubuntu0.1), libgimp2.0-dev:amd64 (2.8.4-2pr$

End-Date: 2013-03-30 12:37:54

(marcin82) #10

No to teraz przeczytaj ten artykuł:

http://dug.net.pl/tekst/163/priorytety_pakietow_(apt_pinning__pin_priority)/

Zablokuj na jakiś czas aktualizację tych pakietów.

W zasadzie to było jeszcze jedno wyjście - ręczne podanie parametrów monitora do pliku /etc/X11/xorg.conf. Może to jednak nie działać z tego względu, że wszystko przejął udev i plik xorg.conf jest niepotrzebny.

======

EDYCJA

Podaj jeszcze wynik:

lsb_release -a

Jakiej dokładnie wersji Ubutu używasz?


(Martin8731) #11

To jest Linux Mint 13 LTS w wersji 64bit z Mate.

lsb_release -a

No LSB modules are available.

Distributor ID:	LinuxMint

Description:	Linux Mint 13 Maya

Release:	13

Codename:	maya

Plików xorg.conf Ubuntu/Mint zdaje się od jakiegoś czasu nie używać w ogóle. U mnie tego pliku nie ma w ogóle i trzeba było go wygenerować ręcznie na nowo.

Na razie ten pakiet będę miał pod okiem, z czasem zostanie to naprawione myślę.